Skip to content

List Service Categories

GET
/businesses/{businessId}/service-categories
curl --request GET \
--url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/service-categories \
--header 'Authorization: Bearer <token>'

List Service Categories within a Business

businessId
required
string format: uuid

Business ID

List of Service Categories

Media typeapplication/json
object
data
Array<object>
ServiceCategory
object
id

Unique identifier across the platform.

string format: uuid
createdAt

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt

Time when the resource was created (ISO 8601 format).

string format: date-time
name
required
string
bookingURL

The URL for patients to book this service category.

string

Example generated

{
"data": [
{
"name": "example",
"bookingURL": "example"
}
]
}

The request is invalid.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: BadRequestError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 400,
"type": "BadRequestError",
"title": "Business ID does not match API key"
}
}

The API key is missing or invalid, or the Business cannot be accessed with it.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: UnauthorizedError BusinessArchivedError BusinessDisabledError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 403,
"type": "UnauthorizedError",
"title": "Invalid API token"
}
}

The Business does not exist.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: NotFoundError BusinessNotFoundError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 404,
"type": "BusinessNotFoundError",
"title": "Business not found"
}
}